package com.hys.app.controller.erp.use.msg;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 消息接收类型
 *
 * @author 张崧
 * @since 2023-12-19
 */
@Getter
public enum MessageReceiveTypeEnum {

    SYSTEM("SYSTEM", "系统消息"),
    SMS("SMS", "手机短信"),
    OFFICIAL("OFFICIAL", "公众号"),
    MAIL("MAIL", "邮件消息");

    MessageReceiveTypeEnum(String value, String label) {
        this.value = value;
        this.label = label;
    }

    public String getValue() {
        return value;
    }

    public String getLabel() {
        return label;
    }

    private final String value;

    private final String label;

}
